data_cfg:
  dataset_name: OUMVLP
  dataset_root: your_path
  dataset_partition: ./datasets/OUMVLP/OUMVLP.json
  num_workers: 4
  remove_no_gallery: false
  test_dataset_name: OUMVLP

evaluator_cfg:
  enable_float16: true
  restore_ckpt_strict: true
  restore_hint: 250000
  save_name: GaitSet
  sampler:
    batch_size: 4
    sample_type: all_ordered
    type: InferenceSampler
  metric: euc # cos

loss_cfg:
  loss_term_weight: 1.0
  margin: 0.2
  type: TripletLoss
  log_prefix: triplet

model_cfg:
  model: GaitSet
  in_channels:
    - 1
    - 64
    - 128
    - 256
  SeparateFCs:
    in_channels: 256
    out_channels: 256
    parts_num: 62
  bin_num:
    - 16
    - 8
    - 4
    - 2
    - 1

optimizer_cfg:
  lr: 0.0001
  momentum: 0.9
  solver: Adam
  weight_decay: 0

scheduler_cfg:
  gamma: 0.1
  milestones:
    - 150000
  scheduler: MultiStepLR

trainer_cfg:
  enable_float16: true
  fix_BN: false
  with_test: true
  log_iter: 100
  restore_ckpt_strict: true
  restore_hint: 0
  save_iter: 10000
  save_name: GaitSet
  sync_BN: false
  total_iter: 250000
  sampler:
    batch_shuffle: false
    batch_size:
      - 32
      - 16
    frames_num_fixed: 30
    frames_num_max: 50
    frames_num_min: 25
    sample_type: fixed_unordered
    type: TripletSampler